Bug 466065 - security - stack overflow in graph parser
security - stack overflow in graph parser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks: CVE-2008-4555
  Show dependency treegraph
 
Reported: 2008-10-07 20:45 EDT by John Ellson
Modified: 2009-12-18 01:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Security patch for lib/graph/parser.y (853 bytes, patch)
2008-10-07 20:45 EDT, John Ellson
no flags Details | Diff

  None (edit)
Description John Ellson 2008-10-07 20:45:50 EDT
Created attachment 319712 [details]
Security patch for lib/graph/parser.y

Description of problem:
IBM identified a potential security problem in the dot file parser where a specially crafted input file can result in  a stack overflow.

A patch to fix the problem is attached.  Also, the only difference (of significance) in graphviz-2.20.3 over graphviz-2.20.2 is the addition of this patch.

Version-Release number of selected component (if applicable):
All graphviz releases prior to graphviz-2.20.3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Hoger 2008-10-14 10:16:26 EDT
Removing security restriction, as issue is already public, so no need for private bug.
Comment 2 Bug Zapper 2008-11-25 22:38:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:31:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:31:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.